public class Sale
{
    protected String name; //A nonempty string
    protected double price; //nonnegative

    public Sale(String theName, double thePrice)
    {
        name = theName;
        price = thePrice;
    }

    public String toString( )
    {
        return (name + " Price and total cost = $" + price);
    }

    public double bill( )
    {
        return price;
    }

    public boolean equalDeals(Sale otherSale)
    {
        return (name.equals(otherSale.name) && this.bill( ) == otherSale.bill( ));
    }

    public boolean lessThan (Sale otherSale)
    {
        return (this.bill( ) < otherSale.bill( ));
    }
}
